package com.xunmei.system.api.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.xunmei.common.core.web.domain.BaseEntity;

import java.util.List;

public class SysDict extends BaseEntity {

    /**主键id*/
    private Long id;

    /**目录code*/
    private String code;

    /** 目录名称*/
    private String name;

    /** 目录描述*/
    private String description;

    /**数据状态*/
    private int status;

    /**是否删除*/
    private int delFlag;

    /**
     * 字典内容
     */
    @JsonIgnore
    private List<SysDictDetail> details;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(int delFlag) {
        this.delFlag = delFlag;
    }

    public List<SysDictDetail> getDetails() {
        return details;
    }

    public void setDetails(List<SysDictDetail> details) {
        this.details = details;
    }
}
